package org.jeecg.modules.dynamicStaticAnalysis.algorithm;

import lombok.extern.slf4j.Slf4j;

/**
 * 多生产者模型-单消费者模型
 * 多生产者
 */
@Slf4j
public class MultiProducer {


    public static void produce(String analysisBatchId) {
        try {
            Buffer.queue.put(analysisBatchId);
            log.info("MultiProducer[生产者]|线程id:【" + Thread.currentThread().getId() + "】=============分析批次ID:【" + analysisBatchId+"】");
        } catch (InterruptedException e) {
            e.printStackTrace();
            log.error("MultiProducer:");
        }
    }
}
